package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;
import com.aimluck.eip.cayenne.om.portlet.auto._AvzTLunchOrder;

public class AvzTLunchOrder extends _AvzTLunchOrder {
  public Integer getOrderMapId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(ORDER_MAP_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setOrderMapId(String id) {
    setObjectId(new ObjectId("AvzTLunchOrder", ORDER_MAP_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
}



